Chuyển đến nội dung
Diễn đàn CADViet
tdvn

Có thể tạo "block động" được không?

Các bài được khuyến nghị

:s_big: thanks tue nhìu..nhưng sao em làm thì lại bị lổi như vầy error: bad argument type: stringp nil

ah còn 1 điều nửa em thắc mắc ,mong Tue chỉ bảo ,khi tạo block như thế này ,làm sao mình xác định được điểm gốc?

Điều thắc mắc thứ nhất của bạn :

- Có 1 phương pháp đơn giản như thế này :

 

Bạn copy (Ctrol + C) dòng này : (alert(strcat "Ten Block la : " (cdr(assoc 2 (entget(car(entsel)))))))

Sau đó bạn qua CAD, trỏ chuột vào dòng Command -> Nhấn Ctrol+V -> Chọn Block -> sẽ hiện lên hộp thoại chứa tên Block

 

Thắc mắc thứ 2 của bạn Tue_NV xin được giải đáp :

 

Đầu tiên, bạn sử dụng lệnh copybase -> Bạn xác điịnh điểm chèn thì sau này điểm chèn này chính là điểm chèn của Block

 

Command: copybase : gõ copybase

Specify base point: Chọn điểm chèn và sau này điểm chèn này chính là điểm chèn của Block

Select objects: Specify opposite corner: 6 found : chọn đối tượng

 

Select objects: gõ enter

 

Vào menu edit -> chọn Paste as Block

 

-> Bạn sẽ được như ý.

 

:s_big:

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Điều thắc mắc thứ nhất của bạn :

- Có 1 phương pháp đơn giản như thế này :

 

Bạn copy (Ctrol + C) dòng này : (alert(strcat "Ten Block la : " (cdr(assoc 2 (entget(car(entsel)))))))

Sau đó bạn qua CAD, trỏ chuột vào dòng Command -> Nhấn Ctrol+V -> Chọn Block -> sẽ hiện lên hộp thoại chứa tên Block

 

Thắc mắc thứ 2 của bạn Tue_NV xin được giải đáp :

 

Đầu tiên, bạn sử dụng lệnh copybase -> Bạn xác điịnh điểm chèn thì sau này điểm chèn này chính là điểm chèn của Block

 

Command: copybase : gõ copybase

Specify base point: Chọn điểm chèn và sau này điểm chèn này chính là điểm chèn của Block

Select objects: Specify opposite corner: 6 found : chọn đối tượng

 

Select objects: gõ enter

 

Vào menu edit -> chọn Paste as Block

 

-> Bạn sẽ được như ý.

 

:lol2:

 

 

hi :lol2: thanks bạn nhìu nhìu ...mong được chỉ giáo :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chả biết diễn đạt tnào cho dễ hiểu, đành nói hơi dài dòng thế này:

Bạn tạo Text bằng lệnh ATT sau đó block lại. Sau đó bạn dùng lệnh Bedit để setup các thuộc tính cho Block đó. Vào thẻ "Parameters" bạn chọn "Point Parameters" và pick vào tâm vòng tròn chứa chữ mf bạn muốn di chuyển. Tiếp thep bạn kích đúp vào và chọn thuộc tính STRETCH sau đó bạn khoanh vùng chọn vào khu vực đường tròn cần di chuyển và đầu đường line phía đường tròn. cuối cùng là "close block editor" và thử kết quả. sad.gif

lệnh bedit cad 2004 không có à

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

lệnh bedit cad 2004 không có à

Hề hề hề,

Chào đại ca. Rất buồn là CAD2004 chưa có lệnh này đại ca ạ.

Tiểu đệ cũng xài Cad2004 nên điếc với cái thằng này lâu rồi....

Chúc đại ca luôn mạnh khỏe.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Chào đại ca. Rất buồn là CAD2004 chưa có lệnh này đại ca ạ.

Tiểu đệ cũng xài Cad2004 nên điếc với cái thằng này lâu rồi....

Chúc đại ca luôn mạnh khỏe.

Bác thử gõ vào dòng lệnh : Refedit >> chọn đối tượng là block xem sao?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác thử gõ vào dòng lệnh : Refedit >> chọn đối tượng là block xem sao?

cái này tuyệt thật nhưng mà mình đang dùng cad2004 nên chịu

có cách nào dùng được không hởi trời

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hề hề hề,

Chào đại ca. Rất buồn là CAD2004 chưa có lệnh này đại ca ạ.

Tiểu đệ cũng xài Cad2004 nên điếc với cái thằng này lâu rồi....

Chúc đại ca luôn mạnh khỏe.

Cám ơn Thanh Bình mình rất khỏe he he chúc bạn sức khỏe

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×